• Register
0 votes
2.4k views

Problem :

I am facing following keytool error
'keytool' is not recognized as an internal or external command, operable program or batch file.
6 5 3
6,930 points

2 Answers

0 votes

Solution :

Below solution worked for me !! :

You need to go to the path where you have your keytool.exe file

e.g C:\Program Files\Java\jre7\bin

Now hold shift and right click -> then press Open command window here

After that terminal will pop up paste below command in:

keytool -list -v -keystore "C:\Users\"Your-User-Name(no quotes)"\.android\debug.keystore" -alias androiddebugkey -storepass andr
9 7 4
38,600 points
0 votes
A simple solution of error is that you first need to change the folder directory in command prompt. By default in command prompt or in terminal(Inside Android studio in the bottom)tab
the path is set to
C:\Users\#Name of your PC that you selected\AndroidStudioProjects\#app name\flutter_app>
**Change accordingly:-**
C:\Users\#Name of your PC that you selected\AndroidStudioProjects\#app name\flutter_app>cd\
# type **cd\** (#after flutter_app>), type only cd\ not comma's
#then type cd **Program Files\Java\jre1.8.0_251\bin** (#remember to check the file name of jre properly)
#now type **keytool -list -v -keystore "%USERPROFILE%\.android\debug.keystore" -alias androiddebugkey -storepass android -keypass android** (without anyspace type the command).
0 points

Related questions

0 votes
1 answer 915 views
915 views
Problem : I have encountered following keytool error 'openssl' is not recognized as an internal or external command, operable program or batch file.
asked Nov 13, 2019 peterlaw 6.9k points
0 votes
1 answer 9 views
9 views
I installed WAMP on my computer. After the installation, I created my first php file. I wanted to test it by using the command prompt. php test.php But I got this error instead. 'php' is not recognized as an internal or external command, operable program ... don’t know what’s wrong because I followed the tutorial on how to install WAMP. Any help and guide will be greatly appreciated.
asked Oct 11 azriel 360 points
0 votes
1 answer 10 views
10 views
When the above error appear in the command prompt and reasons behind it?
asked Oct 6 jagruthi 560 points
1 vote
1 answer 583 views
583 views
Problem: I installed flask in my system by running the command: pip install flask Collecting flask Downloading https://files.pythonhosted.org/packages/f2/28/2a03252dfb9ebf377f40fba6a7841b47083260bf8bd8e737b0c6952df83f/Flask-1.1.2-py2.py3-none-any.whl (94kB) |████████████████████████████████| ... operable program or batch file. Whats the problem running this can any one tell me? Thanks in advance.
asked May 12 samhaz 5k points
0 votes
1 answer 51 views
51 views
I am new to python programming. I am using atom IDE or atom editor for my python programs but every time I try to run a code or a script from my atom editor it gives me an error like : atom 'python' is not recognized as an internal or external command, operable ... and atom for 64 bit windows. Can anyone figure out what the problem really is and how can I solve this problem and run my code.
asked Mar 10 LizzyM 6.1k points